Forums Neueste Beiträge
 

Linux Kernel Header

25/01/2008 - 18:11 von Albrecht Mehl | Report spam
Bei der Installation eines Programmes auf meinem opensuse 10.3 System
kam folgende Fehlermeldung:

==
Making module
make -C /lib/modules/2.6.22.13-0.3-default/build
SUBDIRS=/home/am/internet/
vpn_23018/vpnclient modules
make[1]: Entering directory `/usr/src/linux-2.6.22.13-0.3-obj/i386/default'
make[1]: *** No rule to make target `modules'. Stop.
make[1]: Leaving directory `/usr/src/linux-2.6.22.13-0.3-obj/i386/default'
make: *** [default] Error 2

=
Ein Linux-Kundiger - ich bin es leider nicht -, sagte mir, daß dies an
der fehlenden oder falschen Linux Kernel Header Version liege.
Meine Kernelversion ist

2.6.22.13-03-default

Yast zeigt mir bei der Suche nach dem Kernelheader

verfügbar = installiert = 2.6.22-19

Auf der Seite

http://de.opensuse.org/Zus%C3%A4tzl...ketquellen

und dann auf der folgenden Index-Seite finde ich das Stichwort
Kernelheader nicht. Leider habe ich auch keine Suchmaschine für Dateien,
wie ich es z.B. vom Server für das Satzsystem LaTeX gewohnt bin,
gefunden. Da ich offensichtlich an der falschen Stelle suche und die
richtige trotz eifrigen Bemühens nicht finde

- Wo finde ich den Kernelheader, der zu meiner Kernelversion paßt?

- Ist das eine schlichte rpm-Datei, die man einfach nach der
Deinstallation der nicht passenden Headerversion installieren
kann, oder ist dabei zusàtzliches zu beachten?

A. Mehl
Albrecht Mehl |Absendekonto wird nicht gelesen; eBriefe an:
Schorlemmerstr. 33 |mehl bei freundePunkttu-darmstadtPunktde
D-64291 Darmstadt, Germany|sehenswert - Relativist. Effekte
Tel. (+49 06151) 37 39 92 |http://www.tempolimit-lichtgeschwindigkeit.de
 

Lesen sie die antworten

#1 Bernd Weigelt
25/01/2008 - 18:37 | Warnen spam
Albrecht Mehl wrote:

- Wo finde ich den Kernelheader, der zu meiner Kernelversion paßt?



Sollte eigentlich mit Yast oder You verfügbar sein
auf der Konsole hilft ein 'yast -i kernel-source'


- Ist das eine schlichte rpm-Datei, die man einfach nach der
Deinstallation der nicht passenden Headerversion installieren
kann, oder ist dabei zusàtzliches zu beachten?



Gibt es als volles RPM und als Patch.RPM

Bernd

OS: openSUSE 10.3 (X86-64)
Kernel: 2.6.24-20.1-default
KDE: 3.5.8 "release 33.2"

Ähnliche fragen